pion::error::open_file Class Reference

exception thrown if we failed to open a file More...

`#include <error.hpp>`

Inherits pion::exception.

## Additional Inherited Members

Public Member Functions inherited from pion::exception
| exception (const std::string &msg)
| exception (const char *const msg)
virtual const char * | what () const throw ()
Protected Member Functions inherited from pion::exception
void | set_what_msg (const char *const msg=NULL, const std::string *const arg1=NULL, const std::string *const arg2=NULL, const std::string *const arg3=NULL) const
Protected Attributes inherited from pion::exception
std::string | m_what_msg

## Detailed Description

exception thrown if we failed to open a file

Definition at line 146 of file error.hpp.

The documentation for this class was generated from the following file:

- include/pion/error.hpp